-- name: [CS] JaidenAnimations and Alpharad
-- description: Ever wanted to play as your favorite epic Youtubers? Well now you can with this modpack!\n\nPlease subscribe to both people in this CS mod, JaidenAnimations and Alpharad!\n\nCS Mod created by VioletArts
-- deluxe: true

local globalModName = "JaidenAnimations and Alpharad";

local CHARA_PROPERTIES = {
	[1] = {
		modName = "JaidenAnimations",
		modDescription = {"Storytime Animator on Youtube, design", "based upon her avatar in her", "YT videos."},
		internalName = "jaiden",
		fallbackVoice = CT_TOAD,
		selectColor = {r = 121, g = 23, b = 227},
		TEX_JAIDEN_VIOLET_ICON = get_texture_info("jaiden_violet_icon"),
		palette = {
			[PANTS] = "595959",
			[SHIRT] = "8566C2",
			[GLOVES] = "FFFFFF",
			[SHOES] = "595959",
			[HAIR] = "422314",
			[SKIN] = "FFFFFF",
			[CAP] = "8566C2",
			[EMBLEM] = "8566C2"
		},

	}, 	[2] = {
		modName = "Alpharad",
		modDescription = {"Epic Youtuber that plays games, his", "design is based on his PFP on", "his Youtube channel."},
		internalName = "alpharad",
		fallbackVoice = CT_MARIO,
		selectColor = {r = 40, g = 23, b = 227},
		palette = {
			[PANTS] = "191919",
			[SHIRT] = "3527FF",
			[GLOVES] = "FFD3C3",
			[SHOES] = "191919",
			[HAIR] = "FCFFCA",
			[SKIN] = "FFD3C3",
			[CAP] = "3527FF",
			[EMBLEM] = "3527FF",
		},
		
	}
}
if _G.charSelectExists and SM64COOPDX_VERSION then
	local curVers = _G.charSelect.version_get();
	if not tonumber(curVers) then
		curVers = string.gsub(curVers, "[%a%s_()!?:,@#-]+", "");
		
		curVers = curVers:gsub("%.", "X", 1):gsub("%.", ""):gsub("X", ".");
	end
	curVers = tonumber(curVers);
	
	for i, chara in ipairs(CHARA_PROPERTIES) do
		local model = smlua_model_util_get_id(chara.internalName.."_violet_geo");
		local CHARA_CAPMODELS = {
			normal = smlua_model_util_get_id(chara.internalName.."_violet_cap_geo"),
			wing = smlua_model_util_get_id(chara.internalName.."_violet_cap_wing_geo"),
			metal = smlua_model_util_get_id(chara.internalName.."_violet_cap_metal_geo"),
			metalWing = smlua_model_util_get_id(chara.internalName.."_violet_cap_metal_wing_geo"),
		}
		table.insert(chara.modDescription, "");
		table.insert(chara.modDescription, "Model by VioletArts");
		
		local charNum = _G.charSelect.character_add(chara.modName, chara.modDescription, "VioletArts", chara.selectColor, model, chara.fallbackVoice, get_texture_info(chara.internalName.."_violet_icon")); -- adds the character to CS. change that _skl part
		_G.charSelect.character_add_caps(model, CHARA_CAPMODELS);
		
		if curVers >= 1.8 then -- adds palette preset if 1.8 or above
			_G.charSelect.character_add_palette_preset(model, chara.palette);
		end
		--[[if curVers > 1.8 then -- adds custom health meter if above 1.8
			_G.charSelect.character_add_health_meter(charNum, healthHUDTex);
		end]]
	end
	
else
    djui_popup_create("\\#ffffdc\\\n"..globalModName.."\nRequires the Character Select Mod\nto use as a Library!\n\nPlease turn on the Character Select Mod\nand Restart the Room!", 6)
end
